Bug 228953 - Unable to use gpg-agent + input methods
Unable to use gpg-agent + input methods
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnupg2 (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
bzcl34nup
: i18n, MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-15 23:51 EST by Ashish Shukla
Modified: 2009-11-24 00:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-24 00:50:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
diff to patch /etc/kde/env/gpg-agent-startup.sh (357 bytes, patch)
2007-02-23 09:10 EST, Ashish Shukla
no flags Details | Diff

  None (edit)
Description Ashish Shukla 2007-02-15 23:51:02 EST
Description of problem:
pinentry applications (i.e. pinentry-qt and pinentry-gtk) exits without 
waiting for user to enter password. Looking in /var/log/messages found 
following entries.

-- begin dump --
Feb 16 01:46:27 chatteau scim-bridge: Failed to allocate the current display
Feb 16 01:46:27 chatteau scim-bridge: Failed to allocate the agent. 
Exitting...
-- end dump --

Version-Release number of selected component (if applicable):
gnupg2-2.0.1-2.fc6
scim-qtimm-0.9.4-5
pinentry-0.7.2-14.fc6
scim-devel-1.4.4-37.fc6
scim-tables-0.5.7-1.fc6
pinentry-qt-0.7.2-14.fc6
scim-bridge-0.4.9-1.fc6
scim-tables-additional-0.5.7-1.fc6
scim-input-pad-0.1.1-7.fc6
scim-bridge-gtk-0.4.9-1.fc6
scim-1.4.4-37.fc6
scim-m17n-0.2.0-6.fc6
scim-doc-1.4.4-37.fc6
scim-libs-1.4.4-37.fc6
pinentry-gtk-0.7.2-14.fc6

How reproducible:
Can be reproduced anytime, with SCIM running in background, 
and /usr/bin/pinentry points to /usr/bin/pinentry-gtk or /usr/bin/pinenty-qt

Steps to Reproduce:
1. Start gpg-agent with following command line in bash.
-- begin command line --
eval `gpg-agent -s --daemon`
-- end command line --
2. Now, do 'gpg -sb' in the same bash.
3. pinentry application window opens and disappears quickly 3 times, without 
waiting for user to enter password.
  
Actual results:
User is not able to enter the password.

Expected results:
User should be able to enter the password.

Workaround:
1. Remove 'XMODIFIERS', 'GTK_IM_MODULE' and 'QT_IM_MODULE' environment 
variables from environment.
2. And then start gpg-agent.

Additional info:
Also mentioned on the SCIM mailing list at 
http://lists.sourceforge.jp/mailman/archives/scim-imengine-dev/2006-November/001427.html .
Comment 1 Jens Petersen 2007-02-22 20:57:38 EST
I tested with current rawhide (Fedora Development) and I am having trouble
getting the pinentry gui to appear.

I installed gnupg2 and pinentry-gtk.  Made a gpg key with gpg --gen-key.
When I run "eval `gpg-agent -s --daemon`" in a bash shell
and then "gpg -sb" it just prompts me for the passphrase in the shell.

How do I get the pinentry window to appear?
Comment 2 Ashish Shukla 2007-02-23 01:15:58 EST
To use pinentry-gtk as your default pinentry application, do following:

-- begin dump --
[root@chatteau ~]# alternatives --config pinentry

There are 3 programs which provide 'pinentry'.

  Selection    Command
-----------------------------------------------
 + 1           /usr/bin/pinentry-curses
   2           /usr/bin/pinentry-qt
*  3           /usr/bin/pinentry-gtk

Enter to keep the current selection[+], or type selection number: 3
-- end dump --

Hope this helps.
Comment 3 Jens Petersen 2007-02-23 03:08:54 EST
It is already configured to pinentry-gtk for me.
Comment 4 Ashish Shukla 2007-02-23 03:36:23 EST
You also need to have 'use-agent' in ~/.gnupg/gpg.conf .

Hope this helps.
Comment 5 Jens Petersen 2007-02-23 05:02:05 EST
Thanks, got it working with that.

Ok, reproduced with scim-bridge-0.4.9 and current cvs.
However I can't get it to work with scim either.
Comment 6 Ashish Shukla 2007-02-23 09:10:14 EST
Created attachment 148664 [details]
diff to patch /etc/kde/env/gpg-agent-startup.sh

A workaround is to patch '/etc/kde/env/gpg-agent-startup.sh' .
Comment 7 Peng Huang 2007-05-23 21:23:58 EDT
I found some code in pinenthy, it uses input method for password inputting. I am
not sure if we have requirement that we need input some special characters via
input methods for password. If not, I suggest disabling those code.
BTW, users can  not use input method for password in Windows. 
Comment 8 Bug Zapper 2008-04-04 02:15:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 9 Jens Petersen 2008-05-01 01:51:12 EDT
Does this still happen?
Comment 10 Jens Petersen 2008-05-01 02:21:39 EDT
As per comment 6 and comment 7 it seems quite reasonable to disable
input methods in pinentry.
Comment 11 Jens Petersen 2008-05-01 02:33:19 EDT
I am still to input the pass phrase with pre-F9 rawhide.
Comment 12 Bug Zapper 2008-05-13 22:37:24 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Rex Dieter 2008-09-06 13:47:03 EDT
Anyone ping upstream here yet?  If not, I can do it, eventually-ish.
Comment 14 Tony Fu 2008-09-09 23:14:19 EDT
requested by Jens Petersen (#27995)
Comment 15 Bug Zapper 2009-06-09 18:27:43 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Jens Petersen 2009-06-23 02:25:52 EDT
(In reply to comment #13)
> Anyone ping upstream here yet?  If not, I can do it, eventually-ish.  

Rex: please do.

I guess no change on this yet?
Comment 17 Rex Dieter 2009-06-23 07:09:57 EDT
No, but I've been working a bit on the gpg stack a bit over the past couple of days, will do.
Comment 18 Rex Dieter 2009-06-23 08:48:39 EDT
Here's seme relevant links:

scim and pinentry-gtk2 :
http://lists.gnupg.org/pipermail/gnupg-devel/2008-April/024326.html

Cannot input anything under "pinentry-gtk-2"? :
https://bugzilla.novell.com/show_bug.cgi?id=330073

It would appear that upstream is indeed aware of the issue.
Comment 19 Jens Petersen 2009-06-23 23:42:00 EDT
I tested the steps in comment 4 and comment 1 with F11 and ibus and it works fine for me, so moving this to F10.
Comment 20 Rex Dieter 2009-07-07 09:16:01 EDT
Looks like upstream has worked to make this better,
http://lists.gnupg.org/pipermail/gnupg-devel/2009-July/025222.html
Comment 21 Rex Dieter 2009-09-09 09:15:31 EDT
Just did a new F-11 build of the latest release, including the input-method-related fixes:
http://koji.fedoraproject.org/koji/buildinfo?buildID=130703

(only after re-reading that apparently F-11 is not as bad off here. :( ).
Comment 22 Bug Zapper 2009-11-18 03:10:53 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.